Package org.apache.sling.rewriter.impl.components

## Class TraxErrorHandler

- java.lang.Object
- - org.apache.sling.rewriter.impl.components.TraxErrorHandler

All Implemented Interfaces:
  `ErrorListener`

    public class TraxErrorHandler
    extends Object
    implements ErrorListener

This error handler simply logs all exception and, in case of a fatal error, the exception is rethrown. Warnings and errors are not re-thrown.

### Constructor Summary

Constructors
`TraxErrorHandler​(org.slf4j.Logger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error​(TransformerException exception)`
`void` `fatalError​(TransformerException exception)`
`void` `warning​(TransformerException exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TraxErrorHandler

    public TraxErrorHandler​(org.slf4j.Logger logger)

### Method Detail

#### warning

    public void warning​(TransformerException exception)
                 throws TransformerException

Specified by:
  `warning` in interface `ErrorListener`
Throws:
  `TransformerException`

#### error

    public void error​(TransformerException exception)
               throws TransformerException

Specified by:
  `error` in interface `ErrorListener`
Throws:
  `TransformerException`

#### fatalError

    public void fatalError​(TransformerException exception)
                    throws TransformerException

Specified by:
  `fatalError` in interface `ErrorListener`
Throws:
  `TransformerException`